

%  data low density 
y=[data_low(1,:); data_low(2,:); data_low(3,:)];
err = [err_low(1,:); err_low(2,:); err_low(3,:)];
y2=[data_M_low(1,:); data_M_low(2,:); data_M_low(3,:)];
err2 = [err_low_M(1,:); err_low_M(2,:); err_low_M(3,:)];

% data medium density

y3=[data_med(1,:); data_med(2,:); data_med(3,:)];
err3 = [err_med(1,:); err_med(2,:); err_med(3,:)];
y4=[data_M_med(1,:); data_M_med(2,:); data_M_med(3,:)];
err4 = [err_med_M(1,:); err_med_M(2,:); err_med_M(3,:)];

%data high density

y5=[data_high(1,:); data_high(2,:); data_high(3,:)];
err5 = [err_high(1,:); err_high(2,:); err_high(3,:)];
y6=[data_M_high(1,:); data_M_high(2,:); data_M_high(3,:)];
err6 = [err_high_M(1,:); err_high_M(2,:); err_high_M(3,:)];




%create bar plot
figure('WindowState','maximized');
t = tiledlayout(3,2,'TileSpacing','tight');

nexttile

  
b = bar(y, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(y);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',y,err,'k','linestyle','none');

ylim([-1100 300])
xlim([0.6 3.4])

xticks([1 2 3])
xticklabels({'90','110','130'})
%title('Low density pellets','FontSize',12)
%ylabel('<CT number (HU)>','FontSize',16)
%xlabel( 'Energy (keV)','FontSize',16)
%text = 'Low density pellets';
%a = annotation('textbox','String',text,'FitBoxToText','on')
set(gca,'FontSize',18)
hold off




nexttile

b = bar(y2, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(y2);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',y2,err2,'k','linestyle','none');

ylim([-1100 300])
xlim([0.6 3.4])

xticks([1 2 3])
xticklabels({'90+M','110+M','130+M'})
title('Low density pellets','FontSize',10)
ylabel(t,'<CT number (HU)>','FontSize',16)
xlabel(t, 'Energy (keV)','FontSize',16)

set(gca,'FontSize',18)
hold off

%medium density

nexttile

  
b = bar(y3, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(y3);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',y3,err3,'k','linestyle','none');

ylim([-1000 500])
xlim([0.6 3.4])

xticks([1 2 3])
xticklabels({'90','110','130'})
% title('Medium density pellets','FontSize',12)
% ylabel('<CT number (HU)>','FontSize',16)
% xlabel( 'Energy (keV)','FontSize',16)

set(gca,'FontSize',18)
hold off




nexttile

b = bar(y4, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(y4);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',y4,err4,'k','linestyle','none');

ylim([-1000 500])
xlim([0.6 3.4])

xticks([1 2 3])
xticklabels({'90+M','110+M','130+M'})
title('Medium density pellets','FontSize',10)
ylabel(t,'<CT number (HU)>','FontSize',16)
xlabel(t, 'Energy (keV)','FontSize',16)

hold off



%high density 

nexttile

  
b = bar(y5, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(y5);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',y5,err5,'k','linestyle','none');

ylim([0 1000])
xlim([0.6 3.4])

xticks([1 2 3])
xticklabels({'90','110','130'})
% title('Low density pellets','FontSize',12)
% ylabel('<CT number (HU)>','FontSize',16)
% xlabel( 'Energy (keV)','FontSize',16)

set(gca,'FontSize',18)
hold off




nexttile

b = bar(y6, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(y6);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',y6,err6,'k','linestyle','none');

ylim([0 1000])
xlim([0.6 3.4])

xticks([1 2 3])
xticklabels({'90+M','110+M','130+M'})
title('High density pellets','FontSize',10)
ylabel(t,'<CT number (HU)>','FontSize',16)
xlabel(t, 'Energy (keV)','FontSize',16)


legend('b1','b2','b3','b4','b5','Reference')
set(gca,'FontSize',12)
hold off


